repo/gentoo:master commit in: eclass/

"Mike Gilbert" <[email protected]> Mon, 03 Aug 2026 18:19:21 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785781046.180971c26d928292f03fa6000e83b074cf56a086.floppym@gentoo>
commit:     180971c26d928292f03fa6000e83b074cf56a086
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 30 21:47:09 2026 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon Aug  3 18:17:26 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=180971c2

acct-group.eclass: use edo to echo commands

Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 eclass/acct-group.eclass | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/eclass/acct-group.eclass b/eclass/acct-group.eclass
index 2db96aca0978..487d80e43097 100644
--- a/eclass/acct-group.eclass
+++ b/eclass/acct-group.eclass
@@ -1,4 +1,4 @@
-# Copyright 2019-2025 Gentoo Authors
+# Copyright 2019-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # @ECLASS: acct-group.eclass
@@ -43,6 +43,10 @@ esac
 
 inherit user-info
 
+case ${EAPI} in
+	7|8) inherit edo ;;
+esac
+
 [[ ${CATEGORY} == acct-group ]] ||
 	die "Ebuild error: this eclass can be used only in acct-group category!"
 
@@ -181,7 +185,7 @@ acct-group_pkg_preinst() {
 	fi
 
 	elog "Adding group ${ACCT_GROUP_NAME}"
-	groupadd "${opts[@]}" "${ACCT_GROUP_NAME}" || die "groupadd failed with status $?"
+	nonfatal edo groupadd "${opts[@]}" "${ACCT_GROUP_NAME}" || die "groupadd failed with status $?"
 }
 
 fi